## org.apache.html.dom
Class HTMLObjectElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.html.dom.HTMLElementImpl
                          org.apache.html.dom.HTMLObjectElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, HTMLFormControl, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.html.HTMLElement, org.w3c.dom.html.HTMLObjectElement, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class HTMLObjectElementImpl

extends HTMLElementImpl
implements org.w3c.dom.html.HTMLObjectElement, HTMLFormControl

Version:
  $Revision: 447255 $ $Date: 2006-09-18 01:36:42 -0400 (Mon, 18 Sep 2006) $
Author:
  Assaf Arkin
See Also:
  `HTMLObjectElement`, `ElementImpl`, Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`HTMLObjectElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` `getArchive()` Space-separated list of archives.
`java.lang.String` `getBorder()` Width of border around the object.
`java.lang.String` `getCode()` Applet class file.
`java.lang.String` `getCodeBase()` Base URI for `classid`, `data`, and `archive` attributes.
`java.lang.String` `getCodeType()` Content type for data downloaded via `classid` attribute.
`java.lang.String` `getData()` A URI specifying the location of the object's data.
`boolean` `getDeclare()` Declare (for future reference), but do not instantiate, thisobject.
`java.lang.String` `getHeight()` Override height.
`java.lang.String` `getHspace()` Horizontal space to the left and right of this image, applet, or object.
`java.lang.String` `getName()` Form control or object name when submitted with a form.
`java.lang.String` `getStandby()` Message to render while loading the object.
`int` `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` `getType()` Content type for data downloaded via `data` attribute.
`java.lang.String` `getUseMap()` Use client-side image map.
`java.lang.String` `getVspace()` Vertical space above and below this image, applet, or object.
`java.lang.String` `getWidth()` Override width.
`void` `setAlign(java.lang.String align)`
`void` `setArchive(java.lang.String archive)`
`void` `setBorder(java.lang.String border)`
`void` `setCode(java.lang.String code)`
`void` `setCodeBase(java.lang.String codeBase)`
`void` `setCodeType(java.lang.String codeType)`
`void` `setData(java.lang.String data)`
`void` `setDeclare(boolean declare)`
`void` `setHeight(java.lang.String height)`
`void` `setHspace(java.lang.String hspace)`
`void` `setName(java.lang.String name)`
`void` `setStandby(java.lang.String standby)`
`void` `setTabIndex(int tabIndex)`
`void` `setType(java.lang.String type)`
`void` `setUseMap(java.lang.String useMap)`
`void` `setVspace(java.lang.String vspace)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLObjectElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### HTMLObjectElementImpl

    public HTMLObjectElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getCode

    public java.lang.String getCode()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Applet class file. See the `code` attribute for HTMLAppletElement.

  Specified by:
    `getCode` in interface `org.w3c.dom.html.HTMLObjectElement`

### setCode

    public void setCode(java.lang.String code)

  Specified by:
    `setCode` in interface `org.w3c.dom.html.HTMLObjectElement`

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getAlign` in interface `org.w3c.dom.html.HTMLObjectElement`

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    `setAlign` in interface `org.w3c.dom.html.HTMLObjectElement`

### getArchive

    public java.lang.String getArchive()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Space-separated list of archives. See the archive attribute definition in HTML 4.0.

  Specified by:
    `getArchive` in interface `org.w3c.dom.html.HTMLObjectElement`

### setArchive

    public void setArchive(java.lang.String archive)

  Specified by:
    `setArchive` in interface `org.w3c.dom.html.HTMLObjectElement`

### getBorder

    public java.lang.String getBorder()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Width of border around the object. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getBorder` in interface `org.w3c.dom.html.HTMLObjectElement`

### setBorder

    public void setBorder(java.lang.String border)

  Specified by:
    `setBorder` in interface `org.w3c.dom.html.HTMLObjectElement`

### getCodeBase

    public java.lang.String getCodeBase()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Base URI for `classid`, `data`, and `archive` attributes. See the codebase attribute definition in HTML 4.0.

  Specified by:
    `getCodeBase` in interface `org.w3c.dom.html.HTMLObjectElement`

### setCodeBase

    public void setCodeBase(java.lang.String codeBase)

  Specified by:
    `setCodeBase` in interface `org.w3c.dom.html.HTMLObjectElement`

### getCodeType

    public java.lang.String getCodeType()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Content type for data downloaded via `classid` attribute. See the codetype attribute definition in HTML 4.0.

  Specified by:
    `getCodeType` in interface `org.w3c.dom.html.HTMLObjectElement`

### setCodeType

    public void setCodeType(java.lang.String codeType)

  Specified by:
    `setCodeType` in interface `org.w3c.dom.html.HTMLObjectElement`

### getData

    public java.lang.String getData()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  A URI specifying the location of the object's data. See the data attribute definition in HTML 4.0.

  Specified by:
    `getData` in interface `org.w3c.dom.html.HTMLObjectElement`

### setData

    public void setData(java.lang.String data)

  Specified by:
    `setData` in interface `org.w3c.dom.html.HTMLObjectElement`

### getDeclare

    public boolean getDeclare()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Declare (for future reference), but do not instantiate, thisobject. See the declare attribute definition in HTML 4.0.

  Specified by:
    `getDeclare` in interface `org.w3c.dom.html.HTMLObjectElement`

### setDeclare

    public void setDeclare(boolean declare)

  Specified by:
    `setDeclare` in interface `org.w3c.dom.html.HTMLObjectElement`

### getHeight

    public java.lang.String getHeight()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Override height. See the height attribute definition in HTML 4.0.

  Specified by:
    `getHeight` in interface `org.w3c.dom.html.HTMLObjectElement`

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    `setHeight` in interface `org.w3c.dom.html.HTMLObjectElement`

### getHspace

    public java.lang.String getHspace()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getHspace` in interface `org.w3c.dom.html.HTMLObjectElement`

### setHspace

    public void setHspace(java.lang.String hspace)

  Specified by:
    `setHspace` in interface `org.w3c.dom.html.HTMLObjectElement`

### getName

    public java.lang.String getName()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.

  Specified by:
    `getName` in interface `org.w3c.dom.html.HTMLObjectElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.w3c.dom.html.HTMLObjectElement`

### getStandby

    public java.lang.String getStandby()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Message to render while loading the object. See the standby attribute definition in HTML 4.0.

  Specified by:
    `getStandby` in interface `org.w3c.dom.html.HTMLObjectElement`

### setStandby

    public void setStandby(java.lang.String standby)

  Specified by:
    `setStandby` in interface `org.w3c.dom.html.HTMLObjectElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

  Specified by:
    `getTabIndex` in interface `org.w3c.dom.html.HTMLObjectElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `org.w3c.dom.html.HTMLObjectElement`

### getType

    public java.lang.String getType()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Content type for data downloaded via `data` attribute. See the type attribute definition in HTML 4.0.

  Specified by:
    `getType` in interface `org.w3c.dom.html.HTMLObjectElement`

### setType

    public void setType(java.lang.String type)

  Specified by:
    `setType` in interface `org.w3c.dom.html.HTMLObjectElement`

### getUseMap

    public java.lang.String getUseMap()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Use client-side image map. See the usemap attribute definition in HTML 4.0.

  Specified by:
    `getUseMap` in interface `org.w3c.dom.html.HTMLObjectElement`

### setUseMap

    public void setUseMap(java.lang.String useMap)

  Specified by:
    `setUseMap` in interface `org.w3c.dom.html.HTMLObjectElement`

### getVspace

    public java.lang.String getVspace()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

  Specified by:
    `getVspace` in interface `org.w3c.dom.html.HTMLObjectElement`

### setVspace

    public void setVspace(java.lang.String vspace)

  Specified by:
    `setVspace` in interface `org.w3c.dom.html.HTMLObjectElement`

### getWidth

    public java.lang.String getWidth()

  Description copied from interface: `org.w3c.dom.html.HTMLObjectElement`
  Override width. See the width attribute definition in HTML 4.0.

  Specified by:
    `getWidth` in interface `org.w3c.dom.html.HTMLObjectElement`

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    `setWidth` in interface `org.w3c.dom.html.HTMLObjectElement`

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.